cxlflash update request in the Xenial SRU stream

Bug #1702521 reported by bugproxy on 2017-07-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
Medium
Ubuntu on IBM Power Systems Bug Triage
Zesty
Medium
Canonical Kernel Team

Bug Description

---Problem Description---
Request to update cxlflash in the Xenial SRU stream

There are multiple patches in upstream that are of interest and would like to see them pulled into the Xenial SRU stream. I have listed the patches that are in upstream/master tree.

41b99e1a30a6d04df7585905e5ffc7251099c6d3 scsi: cxlflash: Avoid mutex when destroying context
44ef38f9a2af8644c24ace6cbe1132dc70174c39 scsi: cxlflash: Cache owning adapter within context
888baf069f49529f33c0b1dfb0fc4811dc0ca1d2 scsi: cxlflash: Add kref to context
cd34af40a09c678abad36304eb68e1774640e908 scsi: cxlflash: Transition to application close model
de9f0b0cbb86da288a2d38e35f2953a85608a6aa scsi: cxlflash: Remove adapter file descriptor cache
9442c9b0ed5c6f3a86dce0d6f714ef43f7f6cd53 scsi: cxlflash: Update documentation
f80132613d576e7e705344d0c33f3b5e65d9e16a scsi: cxlflash: Refactor WWPN setup
c4a11827b760ef8dcda26b5731d072b1d8fb7c81 scsi: cxlflash: Fix context reference tracking on detach
68ab2d76e4be785a7003fdb42b7c4ed8bba56ae2 scsi: cxlflash: Set sg_tablesize to 1 instead of SG_NONE
8a2605430a64bdf0361af5a18043717a2c59972f scsi: cxlflash: Fix crash in cxlflash_restore_luntable()
3d2f617d448f5e1d15d2844b803c13763ed51f1f scsi: cxlflash: Improve context_reset() logic
11f7b1844ac01d0298aad6a0ec2591bef4a1c3a2 scsi: cxlflash: Avoid command room violation
e7ab2d401dbf633eaafe5bd1f39e84492848668f scsi: cxlflash: Remove unused buffer from AFU command
350bb478f57387df1e0b830fc64be2d1c3d55b6b scsi: cxlflash: Allocate memory instead of using command pool for AFU sync
5fbb96c8f1ba89fb220efb7e4eeed7cb5112becd scsi: cxlflash: Use cmd_size for private commands
25bced2b61b43b6372a73008dafa2183c5d53c39 scsi: cxlflash: Remove private command pool
de01283baa334b1d938cfd9121198c517ad6dc89 scsi: cxlflash: Wait for active AFU commands to timeout upon tear down
9ba848acbf4fbc6d99a0992df9ef5eb1b4842ba9 scsi: cxlflash: Remove AFU command lock
d4ace35166e55e73afe72a05d166342996063d35 scsi: cxlflash: Cleanup send_tmf()
9d89326c6660bc287b74983b51239460da10e189 scsi: cxlflash: Cleanup queuecommand()
48b4be36edf8a2cb0dedcb2d28f598e51249e805 scsi: cxlflash: Migrate IOARRIN specific routines to function pointers
fe7f96982a4e7103ffab45fba34c57ee19b62639 scsi: cxlflash: Migrate scsi command pointer to AFU command
9c7d1ee5f13a7130f6d3df307ec010e9e003fa98 scsi: cxlflash: Refactor context reset to share reset logic
696d0b0c715360ce28fedd3c8b009d3771a5ddeb scsi: cxlflash: Support SQ Command Mode
fb67d44dfbdf85d984b9b40284e90636a3a7b21d scsi: cxlflash: Cleanup prints
0df5bef739601f18bffc0d256ae451f239a826bd scsi: cxlflash: Cancel scheduled workers before stopping AFU
943445200b049d5179b95297e5372d399c8ab0e2 scsi: cxlflash: Enable PCI device ID for future IBM CXL Flash AFU
76a6ebbeef26b004c36a0c8ee0496bae5428fc31 scsi: cxlflash: Separate RRQ processing from the RRQ interrupt handler
f918b4a8e6f8bb59c44045f85d10fd9cc7e5a4c0 scsi: cxlflash: Serialize RRQ access and support offlevel processing
cba06e6de4038cd44a3e93a92ad982c372b8a14e scsi: cxlflash: Implement IRQ polling for RRQ processing
3b225cd32a05b627a6ca366f364a824beaabecc5 scsi: cxlflash: Update sysfs helper routines to pass config structure
78ae028e823701148e4915759459ee79597ea8ec scsi: cxlflash: Support dynamic number of FC ports
8fa4f1770d56af6f0a5a862f1fd298a4eeea94f3 scsi: cxlflash: Remove port configuration assumptions
0aa14887c60c27e3385295ee85f5ac079ae2ffb5 scsi: cxlflash: Hide FC internals behind common access routine
565180723294b06b3e60030033847277b9d6d4bb scsi: cxlflash: SISlite updates to support 4 ports
1cd7fabc82eb06c834956113ff287f8848811fb8 scsi: cxlflash: Support up to 4 ports
323e33428ea23bfb1ae5010b18b4540048b2ad51 scsi: cxlflash: Fence EEH during probe
50b787f7235efbd074bbdf4315e0cc261d85b4d7 scsi: cxlflash: Remove unnecessary DMA mapping
cd41e18daf1a21fea5a195a5a74c97c6b183c15a scsi: cxlflash: Fix power-of-two validations
fcc87e74a987dc9c0c85f53546df944ede76486a scsi: cxlflash: Fix warnings/errors
e2ef33fa5958c51ebf0c6f18db19fe927e2185fa scsi: cxlflash: Improve asynchronous interrupt processing
bfc0bab172cabf3bb25c48c4c521b317ff4a909d scsi: cxlflash: Support multiple hardware queues
3065267a80c88d775e8eb34196280e8eee33322f scsi: cxlflash: Add hardware queues attribute
1dd0c0e4fd02dc5e5bfaf89bd4656aabe4ae3cb3 scsi: cxlflash: Introduce hardware queue steering

The patches are required on 16.04.3 HWE v4.10 kernel.

I also have one more patch that we would like pulled into 16.04 SRU (HWE v4.10 kernel).

commit 41e20d959e5919c70058369323cefa57428b7aaf cxl: Enable PCI device IDs for future IBM CXL adapters

bugproxy (bugproxy) on 2017-07-05
tags: added: architecture-ppc64le bugnameltc-154010 severity-high targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)

------- Comment From <email address hidden> 2017-07-05 14:25 EDT-------
Below list of patches are pulled into upstream 4.13 kernel. If it is not too late, we would like to have them in the Xenial 16.04.3 HWE v4.10 kernel as well. These patches include miscellaneous fixes and it would be helpful to have them in 16.04.3 kernel.

07cc1ccfb84320582c9ac389a21cd81df82bc123 scsi: cxlflash: Select IRQ_POLL
66ea9bcc392017b6df465b6f5847f6eac966a801 scsi: cxlflash: Combine the send queue locks
539d890cecee6b5d7304914afc51b7f53150163d scsi: cxlflash: Update cxlflash_afu_sync() to return errno
a96851d3372bf8ee7023712163ad3da9a3e30a29 scsi: cxlflash: Reset hardware queue context via specified register
0b09e711189952ff9d411593a8d74ec12a956c57 scsi: cxlflash: Schedule asynchronous reset of the host
c2c292f45029a6850cd14c7c2fa4fc479b8f74aa scsi: cxlflash: Handle AFU sync failures
a002bf830f5df3e622e32fdbde1756bcbb6aedad scsi: cxlflash: Track pending scsi commands in each hardware queue
a1ea04b3ebd9ae5c1cd5bf48be37aba0d93c1acc scsi: cxlflash: Flush pending commands in cleanup path
7c4c41f172b6d5dda1119ce5f59151bef732a058 scsi: cxlflash: Add scsi command abort handler
a834a36b57d93b31f683a5d2cf7d87e3e617cb70 scsi: cxlflash: Create character device to provide host management interface
cf2430279006e4afa67dfa4cf952ded38c7ed5b4 scsi: cxlflash: Separate AFU internal command handling from AFU sync specifics
d6e32f530df9827070c45b55a6c67dfa8562184c scsi: cxlflash: Introduce host ioctl support
efa1c818d3458fe97d8f83f40051518b44183234 scsi: cxlflash: Refactor AFU capability checking
9cf43a360450ddd758b0021d1b55f1cc5643b9ed scsi: cxlflash: Support LUN provisioning
bc88ac47d5cb11c7dd9896781f793fae519d53fa scsi: cxlflash: Support AFU debug
3223c01aa1cec60d59bd218aca5e202b558d225a scsi: cxlflash: Support WS16 unmap
479ad8e9d48c4d82c92417b012193e967fc33b8a scsi: cxlflash: Remove zeroing of private command data
8ba1ddb31f528cb45be39b7f3b600261afaa7920 scsi: cxlflash: Update TMF command processing
acfeb23b29894deaee65d63c55bea09183f6b538 scsi: cxlflash: Avoid double free of character device
32abbedaafde5a0c1edfd07369dde73a4fda2554 scsi: cxlflash: Update send_tmf() parameters
5a4d9d7790422c4a92d8ca52e37c1e2b45d42c27 scsi: cxlflash: Update debug prints in reset handlers

------- Comment From <email address hidden> 2017-07-05 14:26 EDT-------
*** Bug 156360 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-05 16:21 EDT-------
Hi Uma,

New build with the requested patches are available at:

http://pokgsa.ibm.com/~vaoqui/public/bz154010/v3/

Please test it and let me know if this can already be mirrored.

Thanks

Manoj Iyer (manjo) on 2017-07-05
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: kernel-da-key
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-06 14:07 EDT-------
Victor,

I verified the patched kernel from the given location. It passes the basic FVT test. Thanks for the quick turnaround.

Changed in linux (Ubuntu Zesty):
status: New → Fix Committed
bugproxy (bugproxy) on 2017-07-14
tags: removed: bugnameltc-154010 kernel-da-key severity-high
Changed in ubuntu-power-systems:
status: New → In Progress
bugproxy (bugproxy) on 2017-07-14
tags: added: bugnameltc-154010 severity-high
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed
Changed in linux (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Changed in linux (Ubuntu Zesty):
importance: Undecided → Medium
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: kernel-da-key
Manoj Iyer (manjo) on 2017-07-19
Changed in ubuntu-power-systems:
importance: Undecided → Medium

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-21 09:37 EDT-------
Uma,

Could you please test the kernel and show the results?

Thanks

tags: removed: bugnameltc-154010 kernel-da-key severity-high verification-needed-zesty
Manoj Iyer (manjo) on 2017-07-24
tags: added: triage-g
bugproxy (bugproxy) on 2017-07-24
tags: added: bugnameltc-154010 severity-high
Changed in ubuntu-power-systems:
importance: Medium → High
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-25 17:59 EDT-------
I have tested with the proposed kernel and executed our FVT bucket on that successfully.

bugproxy (bugproxy) on 2017-07-25
tags: added: verification-done-zesty
Launchpad Janitor (janitor) wrote :
Download full text (6.6 KiB)

This bug was fixed in the package linux - 4.10.0-30.34

---------------
linux (4.10.0-30.34) zesty; urgency=low

  * CVE-2017-7533
    - dentry name snapshots

linux (4.10.0-29.33) zesty; urgency=low

  * linux: 4.10.0-29.33 -proposed tracker (LP: #1704961)

  * Opal and POWER9 DD2 (LP: #1702159)
    - powerpc/powernv: Tell OPAL about our MMU mode on POWER9
    - powerpc/powernv: Fix boot on Power8 bare metal due to opal_configure_cores()

  * CVE-2017-1000364
    - mm/mmap.c: do not blow on PROT_NONE MAP_FIXED holes in the stack
    - mm/mmap.c: expand_downwards: don't require the gap if !vm_prev

  * [Xenial] nvme: Quirks for PM1725 controllers (LP: #1704435)
    - nvme: Quirks for PM1725 controllers

  * hns: under heavy load, NIC may fail and require reboot (LP: #1704146)
    - net: hns: Bugfix for Tx timeout handling in hns driver

  * New ACPI identifiers for ThunderX SMMU (LP: #1703437)
    - iommu/arm-smmu: Plumb in new ACPI identifiers

  * CVE-2017-7482
    - rxrpc: Fix several cases where a padded len isn't checked in ticket decode

  * CVE-2017-1000365
    - fs/exec.c: account for argv/envp pointers

  * CVE-2017-10810
    - drm/virtio: don't leak bo on drm_gem_object_init failure

  * Data corruption with hio driver (LP: #1701316)
    - SAUCE: hio: Fix incorrect use of enum req_opf values

  * arm64: fix crash reading /proc/kcore (LP: #1702749)
    - fs/proc: kcore: use kcore_list type to check for vmalloc/module address
    - arm64: mm: select CONFIG_ARCH_PROC_KCORE_TEXT

  * cxlflash update request in the Xenial SRU stream (LP: #1702521)
    - scsi: cxlflash: Refactor context reset to share reset logic
    - scsi: cxlflash: Support SQ Command Mode
    - scsi: cxlflash: Cleanup prints
    - scsi: cxlflash: Cancel scheduled workers before stopping AFU
    - scsi: cxlflash: Enable PCI device ID for future IBM CXL Flash AFU
    - scsi: cxlflash: Separate RRQ processing from the RRQ interrupt handler
    - scsi: cxlflash: Serialize RRQ access and support offlevel processing
    - scsi: cxlflash: Implement IRQ polling for RRQ processing
    - scsi: cxlflash: Update sysfs helper routines to pass config structure
    - scsi: cxlflash: Support dynamic number of FC ports
    - scsi: cxlflash: Remove port configuration assumptions
    - scsi: cxlflash: Hide FC internals behind common access routine
    - scsi: cxlflash: SISlite updates to support 4 ports
    - scsi: cxlflash: Support up to 4 ports
    - scsi: cxlflash: Fence EEH during probe
    - scsi: cxlflash: Remove unnecessary DMA mapping
    - scsi: cxlflash: Fix power-of-two validations
    - scsi: cxlflash: Fix warnings/errors
    - scsi: cxlflash: Improve asynchronous interrupt processing
    - scsi: cxlflash: Support multiple hardware queues
    - scsi: cxlflash: Add hardware queues attribute
    - scsi: cxlflash: Introduce hardware queue steering
    - cxl: Enable PCI device IDs for future IBM CXL adapters
    - scsi: cxlflash: Select IRQ_POLL
    - scsi: cxlflash: Combine the send queue locks
    - scsi: cxlflash: Update cxlflash_afu_sync() to return errno
    - scsi: cxlflash: Reset hardware queue context via specified register
    - scsi: cxlflash: Schedule asynchronous res...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers